Endpoint Groups
Data Products
Data Products operations within the Products API group.
List data productsGET
/data-products
Operation ID
listDataProductsQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
certification_state |
string |
false |
- |
domain |
string |
false |
- |
freshness_state |
string |
false |
- |
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
publication_state |
string |
false |
- |
q |
string |
false |
- |
team |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
429 |
Client error |
500 |
Server error |
Create data productPOST
/data-products
Operation ID
createDataProductRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
409 |
The request conflicts with the current state of the server. |
429 |
Client error |
500 |
Server error |
Get data productGET
/data-products/{productSlug}
Operation ID
getDataProductPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update data productPATCH
/data-products/{productSlug}
Operation ID
updateDataProductPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete data productDELETE
/data-products/{productSlug}
Operation ID
deleteDataProductPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
List data product dependenciesGET
/data-products/{productSlug}/dependencies
Operation ID
listDataProductDependenciesPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Create data product dependencyPOST
/data-products/{productSlug}/dependencies
Operation ID
createDataProductDependencyPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
409 |
The request conflicts with the current state of the server. |
429 |
Client error |
500 |
Server error |
List data product eventsGET
/data-products/{productSlug}/events
Operation ID
listDataProductEventsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
List data product outputsGET
/data-products/{productSlug}/outputs
Operation ID
listDataProductOutputsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
List data product semantic entrypointsGET
/data-products/{productSlug}/semantic-entrypoints
Operation ID
listDataProductSemanticEntrypointsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Get data product statusGET
/data-products/{productSlug}/status
Operation ID
getDataProductStatusPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |